From: Sven Eckelmann <sven@narfation.org>
Date: Wed, 5 Dec 2018 15:02:38 +0100
Subject: Replace glext with glew

GLEW 2.1 is now providing all the prototypes which are usually provided by
glext.h. When both are providing them, the build would fail with:

  In file included from ../../src/glshader.cpp:39:
  /usr/include/GL/glext.h:12080:102: error: conflicting declaration 'typedef void (* PFNGLGETFRAGMENTMATERIALIVSGIXPROC)(GLenum, GLenum, GLint*)'
   typedef void (APIENTRYP PFNGLGETFRAGMENTMATERIALIVSGIXPROC) (GLenum face, GLenum pname, GLint *params);
                                                                                                        ^
  In file included from ../../src/glshader.cpp:22:
  /usr/include/GL/glew.h:18744:28: note: previous declaration as 'typedef void (* PFNGLGETFRAGMENTMATERIALIVSGIXPROC)(GLenum, GLenum, const GLint*)'
   typedef void (GLAPIENTRY * PFNGLGETFRAGMENTMATERIALIVSGIXPROC) (GLenum face, GLenum pname, const GLint* data);
                              ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

Forwarded: no
---
 src/glshader.cpp | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/src/glshader.cpp b/src/glshader.cpp
index 5ddb8d6..3f3e8bd 100644
--- a/src/glshader.cpp
+++ b/src/glshader.cpp
@@ -36,7 +36,7 @@
 #else
 #include <GL/gl.h>
 #ifndef WIN32
-    #include <GL/glext.h>
+    /* now provided by glew #include <GL/glext.h> */
 #endif
 #endif
 #include "glshader.h"
